function [] = plotLorentz(M,w0,f,g,d,Th,Tc)
%input: matrix from varyespi, w0 array, f array, g (ONE VALUE), distance (ONE VALUE),
%hot temp (ONE VALUE), cold temp (ONE VALUE)
%output: plot of matrix x-axis=w0, y-axis=f, z-axis=heat transfer


figure;imagesc(w0,f,M(:,:,10)')
xlabel('\omega_{0} [cm^{-1}]');
ylabel('f');
mx=max(max(max(M)));
mn=min(min(min(M)));
colorbar();
caxis([mn,mx]);
h = colorbar; ylabel(h, 'Heat Transfer Coefficient[W/(m^{2} K)]');
axis xy;
%title('d=100\mum, 310K-300K, \gamma=1')
title(strcat('d=',num2str(d*1000000),'\mum, ',num2str(Th),'K-',num2str(Tc),'K, \gamma=',num2str(g)))
%strcat(lab,' g=',num2str(n))